package cpm.com.gskmtorange.xmlGetterSetter;

import java.util.ArrayList;

public class NoCameraLastVisitGetterSetter {

    String table_NO_CAMERA_LAST_VISIT_DATA;

    ArrayList<String> MID = new ArrayList<>();
    ArrayList<String> STORE_ID = new ArrayList<>();
    ArrayList<String> VISIT_DATE = new ArrayList<>();
    ArrayList<String> SKUGROUP_ID = new ArrayList<>();
    ArrayList<String> ROW_NO = new ArrayList<>();
    ArrayList<String> COLUMN_NO = new ArrayList<>();
    ArrayList<String> FACING = new ArrayList<>();
    ArrayList<String> IS_VERTICAL = new ArrayList<>();

    public ArrayList<String> getCATEGORY_ID() {
        return CATEGORY_ID;
    }

    public void setCATEGORY_ID(String CATEGORY_ID) {
        this.CATEGORY_ID.add(CATEGORY_ID);
    }

    public ArrayList<String> getSUB_CATEGORY_ID() {
        return SUB_CATEGORY_ID;
    }

    public void setSUB_CATEGORY_ID(String SUB_CATEGORY_ID) {
        this.SUB_CATEGORY_ID.add(SUB_CATEGORY_ID);
    }

    ArrayList<String> CATEGORY_ID = new ArrayList<>();
    ArrayList<String> SUB_CATEGORY_ID = new ArrayList<>();

    public String getTable_NO_CAMERA_LAST_VISIT_DATA() {
        return table_NO_CAMERA_LAST_VISIT_DATA;
    }

    public void setTable_NO_CAMERA_LAST_VISIT_DATA(String table_NO_CAMERA_LAST_VISIT_DATA) {
        this.table_NO_CAMERA_LAST_VISIT_DATA = table_NO_CAMERA_LAST_VISIT_DATA;
    }

    public ArrayList<String> getMID() {
        return MID;
    }

    public void setMID(String MID) {
        this.MID.add(MID);
    }

    public ArrayList<String> getSTORE_ID() {
        return STORE_ID;
    }

    public void setSTORE_ID(String STORE_ID) {
        this.STORE_ID.add(STORE_ID);
    }

    public ArrayList<String> getVISIT_DATE() {
        return VISIT_DATE;
    }

    public void setVISIT_DATE(String VISIT_DATE) {
        this.VISIT_DATE.add(VISIT_DATE);
    }

    public ArrayList<String> getSKUGROUP_ID() {
        return SKUGROUP_ID;
    }

    public void setSKUGROUP_ID(String SKUGROUP_ID) {
        this.SKUGROUP_ID.add(SKUGROUP_ID);
    }

    public ArrayList<String> getROW_NO() {
        return ROW_NO;
    }

    public void setROW_NO(String ROW_NO) {
        this.ROW_NO.add(ROW_NO);
    }

    public ArrayList<String> getCOLUMN_NO() {
        return COLUMN_NO;
    }

    public void setCOLUMN_NO(String COLUMN_NO) {
        this.COLUMN_NO.add(COLUMN_NO);
    }

    public ArrayList<String> getFACING() {
        return FACING;
    }

    public void setFACING(String FACING) {
        this.FACING.add(FACING);
    }

    public ArrayList<String> getIS_VERTICAL() {
        return IS_VERTICAL;
    }

    public void setIS_VERTICAL(String IS_VERTICAL) {
        this.IS_VERTICAL.add(IS_VERTICAL);
    }
}
